### Method

# AppStream ValidatorIssue set_filename

#### Declaration [src]

    void
    as_validator_issue_set_filename (
      AsValidatorIssue* issue,
      const gchar* fname
    )

#### Description [src]

Sets the name of the file the issue was found in.

#### Parameters

`fname`

  Type: `const gchar*`

  The filename.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.